Did Lion Break Anyone Else's Emulators?

Discussion in 'Mac and PC Games' started by GrayApple, Jul 21, 2011.

  1. GrayApple macrumors member

    Joined:
    Feb 20, 2010
    #1
    Hello, I have Crossover Games installed on my macbook, as well as another game in a wrapper. When I launch Crossover, it immediately shuts down all my bottles(even though I just launched it) and my other wrapper won't launch at all. They were working fine a few days ago before I installed Lion. Is this happening to anyone else?
     
  2. Hansr macrumors 6502a

    Joined:
    Apr 1, 2007
    #2
  3. OliverOSX93 macrumors regular

    Joined:
    Jun 26, 2010
    Location:
    Accrington
    #3
    I think you will find it stands for WIN Emulator :p (joke)
     
  4. doh123 macrumors 65816

    Joined:
    Dec 28, 2009
    #4
    Wine (what Crossover uses) is considered not being an emulator, because it does not emulate hardware and does not emulate Windows. It is an implementation of Windows APIs for non-Windows OSes.... so a lot of software can directly working without a Windows environment... but because it does not emulate Windows there are many things it cannot, and will never be able to do. However there are many pluses for not emulating Windows, mainly in performance.

    I make Wineskin (works like Crossover behind the scenes) which is working fine in Lion.

    Crossover I think you need to update to Crossover 10.1.0 or Crossover Games 10.1.1 to work right in Lion.

    Crossover hack wrappers like CXS, CXZ, and CXEx will break in Lion unless they were built with the latest version of CXEx... you can get the newest CXEx builder thingy at portingteam.com and use it to update older wrappers that are broken, so that they'll start working, but I know the guy that works on that is still getting reports and looking at problems so it might not be 100% right for everyone yet. I don't really care for Crossover hack wrappers even though the guy(s) that make them are cool guys, simply cuz they are hacks of a paid for product.

    I'm very biased since Wineskin is my project... but I'd always suggest using Wineskin for hobby porting purposes (or if you just want something free)... and Crossover for very easy to use and support.
     
  5. thirstylizard macrumors newbie

    Joined:
    Jan 8, 2010
    #5
    I have the same issue, I am using Cross over professional. Once it started, it immediately shut down itself. I see that there is a new release from the cross over site, however, I have not renew the support extension so I cannot download the new version
     
  6. doh123 macrumors 65816

    Joined:
    Dec 28, 2009
    #6
    check Console.app for error messages.

    i think the older X11 in Crossover cannot use the newer quartz-wm... you might have to manually replace quartz-wm with a version from Snow Leopard.
     
  7. lostless macrumors 6502

    Joined:
    Oct 22, 2005
    #7
    Try downloading the demo and register. My license expired a couple months ago, but was able to register the new lion compatible version just fine.
     

Share This Page